image: Visual Studio 2017
environment:
  FORCE_COLOR: 1
  nodejs_version: "8"
  matrix:
  - TYPESCRIPT: typescript@2.5.2
  - TYPESCRIPT: typescript@next
  - TYPESCRIPT: typescript@2.4.1
  - TYPESCRIPT: typescript@2.3.1
  - TYPESCRIPT: typescript@2.2.1
  - TYPESCRIPT: typescript@2.1.5
  - TYPESCRIPT: typescript@2.0.9
  - TYPESCRIPT: typescript@1.8.2
  - TYPESCRIPT: typescript@1.7.5
install:
  - ps: Install-Product node $env:nodejs_version
  - npm install
  - npm run build
  - npm install %TYPESCRIPT%
test_script:
  - node --version
  - npm --version
  - npm test
build: off
